{ "success": false, "error": { "code": "INVALID_PARAMS", "message": "Provide either linkedin_url, or first_name + last_name + (company_name or company_domain)" }, "metadata": { "action": "find_email", "credits_consumed": 0, "timestamp": "2026-04-26T10:35:00Z" }}
Overview
Finds a professional email address from a person’s name and company.You can identify the target either by:
First name + last name + company (company_name or company_domain)
Profile URL — the service auto-extracts name and current company from the profile
This endpoint consumes 1 credit per request.
Request
string
required
Must be "find_email".
object
required
Show params properties
string
Person’s first name. Required unless profile_url is provided.
string
Person’s last name. Required unless profile_url is provided.
string
Company root domain (e.g. "acme-corp.com"). Provide either this or company_name. Also accepts domain as an alias.
string
Company display name (the service resolves it to a domain via Google search). Also accepts company as an alias.
string
Public URL of the person’s profile (e.g. "https://www.linkedin.com/in/jane-doe-42"). When provided, name and current company are extracted automatically and first_name/last_name/company_* become optional.
Response
boolean
Indicates whether the request was successful.
object
Show data properties
string
The validated email address found, or null if no valid pattern matched.
array
Other potential emails (typically empty when a primary match is locked, or populated when the domain is catch-all).
boolean
true if the company domain is catch-all (deliverability not guaranteed).
string
The domain on which the matching email was found.
array
List of domains tested in order before stopping.
array
All candidate domains after blacklist filtering (social platforms, free providers, etc.).
{ "success": false, "error": { "code": "INVALID_PARAMS", "message": "Provide either linkedin_url, or first_name + last_name + (company_name or company_domain)" }, "metadata": { "action": "find_email", "credits_consumed": 0, "timestamp": "2026-04-26T10:35:00Z" }}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LinkUp API","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/linkup/ZlfbWzmoiFddAPIP/logo/light.svg?fit=max\u0026auto=format\u0026n=ZlfbWzmoiFddAPIP\u0026q=85\u0026s=910520051bbdecf6c5ba291bc05e176c","dark":"https://mintcdn.com/linkup/ZlfbWzmoiFddAPIP/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZlfbWzmoiFddAPIP\u0026q=85\u0026s=5ec6ea859b567d1cae384801ba8051eb"},"favicon":"https://mintcdn.com/linkup/ZlfbWzmoiFddAPIP/favicon.svg?fit=max\u0026auto=format\u0026n=ZlfbWzmoiFddAPIP\u0026q=85\u0026s=a9239e0f360c22cd2876d0186db14f72","api":{"playground":{"display":"interactive"},"mdx":{"server":"https://api.linkupapi.com"}},"search":{"prompt":"Search the docs..."},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"linkup","hasAudioNarration":false,"actualSubdomain":"linkup","customDomains":["docs.linkupapi.com"],"gitSource":{"type":"github","owner":"titouanprx","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true},"entitlements":{},"buildId":"6af8670e8a96985090c51480","clientVersion":"0.0.4160","searchFilterCounts":[{"language":"default","tag":"Documentation","count":160},{"language":"default","tag":"LinkedIn Engagement API","count":37},{"language":"default","tag":"Profiles","count":19},{"language":"default","tag":"Data API","count":15},{"language":"default","tag":"Recruiting","count":14},{"language":"default","tag":"Network","count":13},{"language":"default","tag":"Messaging","count":12},{"language":"default","tag":"Content \u0026 Posts","count":11},{"language":"default","tag":"Content","count":11},{"language":"default","tag":"Accounts","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/enrich/find-email","slug":"/api-reference/v2/enrich/find-email","pageMetadata":{"title":"Find Email","api":"POST /v2/enrich","description":"Find a professional email address from name + company.","href":"/api-reference/v2/enrich/find-email"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Find a professional email address from name + company.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,Note,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`Finds a professional email address from a person’s name and company.`}),`\n`,_jsx(_components.p,{children:`You can identify the target either by:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`First name + last name + company`}),` (`,_jsx(_components.code,{children:`company_name`}),` or `,_jsx(_components.code,{children:`company_domain`}),`)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Profile URL`}),` — the service auto-extracts name and current company from the profile`]}),`\n`]}),`\n`,_jsxs(Note,{children:[`This endpoint consumes `,_jsx(_components.strong,{children:`1 credit`}),` per request.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{body:`action`,type:`string`,required:true,id:`param-action`,children:_jsxs(_components.p,{children:[`Must be `,_jsx(_components.code,{children:`\"find_email\"`}),`.`]})}),`\n`,_jsx(ParamField,{body:`params`,type:`object`,required:true,id:`param-params`,children:_jsxs(Expandable,{title:`params properties`,children:[_jsx(ParamField,{body:`first_name`,type:`string`,id:`param-first-name`,children:_jsxs(_components.p,{children:[`Person’s first name. Required unless `,_jsx(_components.code,{children:`profile_url`}),` is provided.`]})}),_jsx(ParamField,{body:`last_name`,type:`string`,id:`param-last-name`,children:_jsxs(_components.p,{children:[`Person’s last name. Required unless `,_jsx(_components.code,{children:`profile_url`}),` is provided.`]})}),_jsx(ParamField,{body:`company_domain`,type:`string`,id:`param-company-domain`,children:_jsxs(_components.p,{children:[`Company root domain (e.g. `,_jsx(_components.code,{children:`\"acme-corp.com\"`}),`). Provide either this or `,_jsx(_components.code,{children:`company_name`}),`. Also accepts `,_jsx(_components.code,{children:`domain`}),` as an alias.`]})}),_jsx(ParamField,{body:`company_name`,type:`string`,id:`param-company-name`,children:_jsxs(_components.p,{children:[`Company display name (the service resolves it to a domain via Google search). Also accepts `,_jsx(_components.code,{children:`company`}),` as an alias.`]})}),_jsx(ParamField,{body:`profile_url`,type:`string`,id:`param-profile-url`,children:_jsxs(_components.p,{children:[`Public URL of the person’s profile (e.g. `,_jsx(_components.code,{children:`\"https://www.linkedin.com/in/jane-doe-42\"`}),`). When provided, name and current company are extracted automatically and `,_jsx(_components.code,{children:`first_name`}),`/`,_jsx(_components.code,{children:`last_name`}),`/`,_jsx(_components.code,{children:`company_*`}),` become optional.`]})})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsx(_components.p,{children:`Indicates whether the request was successful.`})}),`\n`,_jsx(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:_jsxs(Expandable,{title:`data properties`,children:[_jsxs(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:[`The validated email address found, or `,_jsx(_components.code,{children:`null`}),` if no valid pattern matched.`]}),_jsx(ResponseField,{name:`alternatives`,type:`array`,id:`param-alternatives`,children:`Other potential emails (typically empty when a primary match is locked, or populated when the domain is catch-all).`}),_jsxs(ResponseField,{name:`catchall`,type:`boolean`,id:`param-catchall`,children:[_jsx(_components.code,{children:`true`}),` if the company domain is catch-all (deliverability not guaranteed).`]}),_jsx(ResponseField,{name:`domain_used`,type:`string`,id:`param-domain-used`,children:`The domain on which the matching email was found.`}),_jsx(ResponseField,{name:`domains_tested`,type:`array`,id:`param-domains-tested`,children:`List of domains tested in order before stopping.`}),_jsx(ResponseField,{name:`domains_filtered`,type:`array`,id:`param-domains-filtered`,children:`All candidate domains after blacklist filtering (social platforms, free providers, etc.).`})]})}),`\n`,_jsx(ResponseField,{name:`metadata`,type:`object`,id:`param-metadata`,children:_jsxs(Expandable,{title:`metadata properties`,children:[_jsxs(ResponseField,{name:`action`,type:`string`,id:`param-action-1`,children:[`The action that was performed (`,_jsx(_components.code,{children:`\"find_email\"`}),`).`]}),_jsx(ResponseField,{name:`credits_consumed`,type:`integer`,id:`param-credits-consumed`,children:`Number of credits consumed (1).`}),_jsx(ResponseField,{name:`timestamp`,type:`string`,id:`param-timestamp`,children:`ISO 8601 timestamp of the response.`})]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Find Email","api":"POST /v2/enrich","description":"Find a professional email address from name + company.","href":"/api-reference/v2/enrich/find-email"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`Finds a professional email address from a person’s name and company.`}),`\n`,_jsx(_components.p,{children:`You can identify the target either by:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`First name + last name + company`}),` (`,_jsx(_components.code,{children:`company_name`}),` or `,_jsx(_components.code,{children:`company_domain`}),`)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Profile URL`}),` — the service auto-extracts name and current company from the profile`]}),`\n`]}),`\n`,_jsxs(Note,{children:[`This endpoint consumes `,_jsx(_components.strong,{children:`1 credit`}),` per request.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{body:`action`,type:`string`,required:true,id:`param-action`,children:_jsxs(_components.p,{children:[`Must be `,_jsx(_components.code,{children:`\"find_email\"`}),`.`]})}),`\n`,_jsx(ParamField,{body:`params`,type:`object`,required:true,id:`param-params`,children:_jsxs(Expandable,{title:`params properties`,children:[_jsx(ParamField,{body:`first_name`,type:`string`,id:`param-first-name`,children:_jsxs(_components.p,{children:[`Person’s first name. Required unless `,_jsx(_components.code,{children:`profile_url`}),` is provided.`]})}),_jsx(ParamField,{body:`last_name`,type:`string`,id:`param-last-name`,children:_jsxs(_components.p,{children:[`Person’s last name. Required unless `,_jsx(_components.code,{children:`profile_url`}),` is provided.`]})}),_jsx(ParamField,{body:`company_domain`,type:`string`,id:`param-company-domain`,children:_jsxs(_components.p,{children:[`Company root domain (e.g. `,_jsx(_components.code,{children:`\"acme-corp.com\"`}),`). Provide either this or `,_jsx(_components.code,{children:`company_name`}),`. Also accepts `,_jsx(_components.code,{children:`domain`}),` as an alias.`]})}),_jsx(ParamField,{body:`company_name`,type:`string`,id:`param-company-name`,children:_jsxs(_components.p,{children:[`Company display name (the service resolves it to a domain via Google search). Also accepts `,_jsx(_components.code,{children:`company`}),` as an alias.`]})}),_jsx(ParamField,{body:`profile_url`,type:`string`,id:`param-profile-url`,children:_jsxs(_components.p,{children:[`Public URL of the person’s profile (e.g. `,_jsx(_components.code,{children:`\"https://www.linkedin.com/in/jane-doe-42\"`}),`). When provided, name and current company are extracted automatically and `,_jsx(_components.code,{children:`first_name`}),`/`,_jsx(_components.code,{children:`last_name`}),`/`,_jsx(_components.code,{children:`company_*`}),` become optional.`]})})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsx(_components.p,{children:`Indicates whether the request was successful.`})}),`\n`,_jsx(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:_jsxs(Expandable,{title:`data properties`,children:[_jsxs(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:[`The validated email address found, or `,_jsx(_components.code,{children:`null`}),` if no valid pattern matched.`]}),_jsx(ResponseField,{name:`alternatives`,type:`array`,id:`param-alternatives`,children:`Other potential emails (typically empty when a primary match is locked, or populated when the domain is catch-all).`}),_jsxs(ResponseField,{name:`catchall`,type:`boolean`,id:`param-catchall`,children:[_jsx(_components.code,{children:`true`}),` if the company domain is catch-all (deliverability not guaranteed).`]}),_jsx(ResponseField,{name:`domain_used`,type:`string`,id:`param-domain-used`,children:`The domain on which the matching email was found.`}),_jsx(ResponseField,{name:`domains_tested`,type:`array`,id:`param-domains-tested`,children:`List of domains tested in order before stopping.`}),_jsx(ResponseField,{name:`domains_filtered`,type:`array`,id:`param-domains-filtered`,children:`All candidate domains after blacklist filtering (social platforms, free providers, etc.).`})]})}),`\n`,_jsx(ResponseField,{name:`metadata`,type:`object`,id:`param-metadata`,children:_jsxs(Expandable,{title:`metadata properties`,children:[_jsxs(ResponseField,{name:`action`,type:`string`,id:`param-action-1`,children:[`The action that was performed (`,_jsx(_components.code,{children:`\"find_email\"`}),`).`]}),_jsx(ResponseField,{name:`credits_consumed`,type:`integer`,id:`param-credits-consumed`,children:`Number of credits consumed (1).`}),_jsx(ResponseField,{name:`timestamp`,type:`string`,id:`param-timestamp`,children:`ISO 8601 timestamp of the response.`})]})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`16`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`16`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"jane.doe@acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"alternatives\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"catchall\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domain_used\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domains_tested\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domains_filtered\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"action\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"find_email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"credits_consumed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"timestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-26T10:35:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`200 — Not found`,numberOfLines:`16`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`16`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"alternatives\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"catchall\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domain_used\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domains_tested\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domains_filtered\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"acme-corp.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"action\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"find_email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"credits_consumed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"timestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-26T10:35:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400`,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INVALID_PARAMS\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Provide either linkedin_url, or first_name + last_name + (company_name or company_domain)\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"action\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"find_email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"credits_consumed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"timestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-26T10:35:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Find Email","api":"POST /v2/enrich","description":"Find a professional email address from name + company.","href":"/api-reference/v2/enrich/find-email"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"Request","slug":"request","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"16\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"jane.doe@acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"alternatives\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"catchall\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domain_used\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domains_tested\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domains_filtered\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"metadata\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"action\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"find_email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"credits_consumed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"timestamp\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-26T10:35:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"200 — Not found","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"16\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"alternatives\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"catchall\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domain_used\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domains_tested\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domains_filtered\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"acme-corp.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"metadata\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"action\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"find_email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"credits_consumed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"timestamp\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-26T10:35:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"12\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"INVALID_PARAMS\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Provide either linkedin_url, or first_name + last_name + (company_name or company_domain)\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"metadata\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"action\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"find_email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"credits_consumed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"timestamp\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-26T10:35:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Find Email","path":"/v2/enrich","servers":[{"url":"https://api.linkupapi.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"action":[{"type":"string","description":"Must be `\"find_email\"` .","required":true}],"params":[{"type":"object","properties":{"first_name":[{"type":"string","description":"Person’s first name. Required unless `profile_url` is provided."}],"last_name":[{"type":"string","description":"Person’s last name. Required unless `profile_url` is provided."}],"company_domain":[{"type":"string","description":"Company root domain (e.g. `\"acme-corp.com\"` ). Provide either this or `company_name` . Also accepts `domain` as an alias."}],"company_name":[{"type":"string","description":"Company display name (the service resolves it to a domain via Google search). Also accepts `company` as an alias."}],"profile_url":[{"type":"string","description":"Public URL of the person’s profile (e.g. `\"https://www.linkedin.com/in/jane-doe-42\"` ). When provided, name and current company are extracted automatically and `first_name` / `last_name` / `company_*` become optional."}]},"required":true}]}}],"examples":{"example":{"value":{"action":"\u003cstring>","params":{"first_name":"\u003cstring>","last_name":"\u003cstring>","company_domain":"\u003cstring>","company_name":"\u003cstring>","profile_url":"\u003cstring>"}}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"success":[{"type":"boolean","description":"Indicates whether the request was successful."}],"data":[{"type":"object","properties":{"email":[{"type":"string","description":"The validated email address found, or `null` if no valid pattern matched."}],"alternatives":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"Other potential emails (typically empty when a primary match is locked, or populated when the domain is catch-all)."}],"catchall":[{"type":"boolean","description":"`true` if the company domain is catch-all (deliverability not guaranteed)."}],"domain_used":[{"type":"string","description":"The domain on which the matching email was found."}],"domains_tested":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"List of domains tested in order before stopping."}],"domains_filtered":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"All candidate domains after blacklist filtering (social platforms, free providers, etc.)."}]}}],"metadata":[{"type":"object","properties":{"action":[{"type":"string","description":"The action that was performed ( `\"find_email\"` )."}],"credits_consumed":[{"type":"integer","description":"Number of credits consumed (1)."}],"timestamp":[{"type":"string","description":"ISO 8601 timestamp of the response."}]}}]}}],"examples":{"example":{"value":{"success":true,"data":{"email":"\u003cstring>","alternatives":[{}],"catchall":true,"domain_used":"\u003cstring>","domains_tested":[{}],"domains_filtered":[{}]},"metadata":{"action":"\u003cstring>","credits_consumed":123,"timestamp":"\u003cstring>"}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"linkup","siteName":"LinkUp API","title":"Find Email - LinkUp API","navMaps":{"firstHrefInVersion":{"v2.0":{"href":"/api-reference/v2/enrich/find-email","matchLevel":0},"v1.5":{"href":"/api-reference/introduction","matchLevel":4},"v1.0":{"href":"/api-reference/introduction","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-09-30T14:58:16.789Z","originalFileLocation":"api-reference/v2/enrich/find-email.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Find a professional email address from name + company.\">\u003cmeta data-mint-head name=\"application-name\" content=\"LinkUp API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Find Email - LinkUp API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Find a professional email address from name + company.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LinkUp API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://linkup.mintlify.site/_mintlify/api/og/v2?division=Email+Enrichment\u0026amp;title=Find+Email\u0026amp;description=Find+a+professional+email+address+from+name+%2B+company.\u0026amp;theme=b0aaf15cbe23d1d94ca6fd79\u0026amp;signature=d12508e882012d2aeb402add44260a732f1c66fdc65cc5f54f6d2edef6047045\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Find Email - LinkUp API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Find a professional email address from name + company.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://linkup.mintlify.site/_mintlify/api/og/v2?division=Email+Enrichment\u0026amp;title=Find+Email\u0026amp;description=Find+a+professional+email+address+from+name+%2B+company.\u0026amp;theme=b0aaf15cbe23d1d94ca6fd79\u0026amp;signature=d12508e882012d2aeb402add44260a732f1c66fdc65cc5f54f6d2edef6047045\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/linkup/Pwp8bAx04X-d5qDo/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LinkUp API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/enrich/find-email.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.linkupapi.com/#organization\",\"name\":\"LinkUp API\",\"url\":\"https://docs.linkupapi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/linkup/ZlfbWzmoiFddAPIP/logo/light.svg?fit=max\u0026auto=format\u0026n=ZlfbWzmoiFddAPIP\u0026q=85\u0026s=910520051bbdecf6c5ba291bc05e176c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.linkupapi.com#website\",\"name\":\"LinkUp API\",\"url\":\"https://docs.linkupapi.com\",\"publisher\":{\"@id\":\"https://docs.linkupapi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email#webpage\",\"url\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email\",\"name\":\"Find Email\",\"description\":\"Find a professional email address from name + company.\",\"dateModified\":\"2026-09-30T14:58:16.789Z\",\"isPartOf\":{\"@id\":\"https://docs.linkupapi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"LinkUp API\",\"item\":\"https://docs.linkupapi.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Find Email\",\"item\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email#apireference\",\"headline\":\"Find Email\",\"name\":\"Find Email\",\"description\":\"Find a professional email address from name + company.\",\"url\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email\",\"mainEntityOfPage\":{\"@id\":\"https://docs.linkupapi.com/api-reference/v2/enrich/find-email#webpage\"},\"dateModified\":\"2026-09-30T14:58:16.789Z\",\"publisher\":{\"@id\":\"https://docs.linkupapi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.linkupapi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LinkUp API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"LinkUp API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v2/enrich/find-email.md","siteName":"LinkUp API","nav":{"global":null,"versions":[{"version":"v2.0","default":true,"tag":"Latest","tabs":[{"tab":"Documentation","icon":"book","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api-reference/v2/introduction"},{"title":"MCP Setup","href":"/api-reference/v2/mcp-setup"},{"title":"Platform Best Practices","href":"/api-reference/v2/best-practices"},{"title":"Migration from V1 to V2","href":"/api-reference/v2/migration"},{"title":"Error Codes","href":"/api-reference/v2/error-codes"}]},{"group":"Accounts","pages":[{"title":"Connect Account","api":"POST /v2/login","href":"/api-reference/v2/accounts/login"},{"title":"Verify Checkpoint (2FA)","api":"POST /v2/checkpoint","href":"/api-reference/v2/accounts/checkpoint"},{"title":"Hosted Connection Link","api":"POST /v2/accounts/connect-link","href":"/api-reference/v2/accounts/connect-link"},{"title":"Autoconfig Provider","api":"GET /v2/email/autoconfig","href":"/api-reference/v2/email/autoconfig"},{"title":"List Accounts","api":"GET /v2/accounts","href":"/api-reference/v2/accounts/list-accounts"},{"title":"Get Account Details","api":"GET /v2/accounts/{account_id}","href":"/api-reference/v2/accounts/get-account"},{"title":"Set Proxy Country","api":"POST /v2/accounts/{account_id}/country","href":"/api-reference/v2/accounts/set-country"},{"title":"Sync Inbox","api":"POST /v2/accounts/{account_id}/sync","href":"/api-reference/v2/accounts/sync-inbox"},{"title":"Delete Account","api":"DELETE /v2/accounts/{account_id}","href":"/api-reference/v2/accounts/delete-account"}]},{"group":"Profiles","pages":[{"title":"Get My Profile","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-me"},{"title":"Update Profile","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/update-profile"},{"title":"Get Profile Info","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-profile"},{"title":"Get Contact Info","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-contact"},{"title":"Visit Profile","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/visit"},{"title":"Search People","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/search-people"},{"title":"Search People Nav","sidebarTitle":"Search People Nav","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/search-people-nav"},{"title":"Search Companies Nav","sidebarTitle":"Search Companies Nav","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/search-companies-nav"},{"title":"Search People Recruiter","sidebarTitle":"Search People Recruiter","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/search-people-recruiter"},{"title":"Check InMail","sidebarTitle":"Check InMail","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/check-inmail"},{"title":"Check InMail Seat","sidebarTitle":"Check InMail Seat","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/check-inmail-seat"},{"title":"Unlock Profile","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/unlock"},{"title":"Typeahead (Filter Suggestions)","api":"POST /v2/typeahead","href":"/api-reference/v2/profiles/typeahead"},{"title":"Search Companies","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/search-companies"},{"title":"Get Company Info","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-company"},{"title":"Get Profile Viewers","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-viewers"},{"title":"Get Profile Reactions","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-reactions"},{"title":"Get Profile Comments","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-comments"},{"title":"Get Profile Posts","api":"POST /v2/profiles","href":"/api-reference/v2/profiles/get-posts"}]},{"group":"Messaging","pages":[{"title":"Send Message or Email","api":"POST /v2/messages","href":"/api-reference/v2/messages/send"},{"title":"List Inbox","api":"POST /v2/messages","href":"/api-reference/v2/messages/list-inbox"},{"title":"Get Conversation","api":"POST /v2/messages","href":"/api-reference/v2/messages/get-conversation"},{"title":"Download Attachment","api":"GET /v2/messages/attachment","href":"/api-reference/v2/messages/download-attachment"},{"title":"Balance","api":"POST /v2/balance","href":"/api-reference/v2/messages/balance"},{"title":"Check Numbers","api":"POST /v2/messages","href":"/api-reference/v2/messages/check-numbers"},{"title":"Manage LinkedIn Messaging","href":"/api-reference/v2/messages/build-inbox"},{"title":"Manage Email Messaging","href":"/api-reference/v2/messages/manage-emails"},{"title":"Manage WhatsApp Messaging","href":"/api-reference/v2/messages/manage-whatsapp"}]},{"group":"Network","pages":[{"title":"Send Connection Request","api":"POST /v2/network","href":"/api-reference/v2/network/invite"},{"title":"Accept Invitation","api":"POST /v2/network","href":"/api-reference/v2/network/accept"},{"title":"Decline Invitation","api":"POST /v2/network","href":"/api-reference/v2/network/decline"},{"title":"List Connections","api":"POST /v2/network","href":"/api-reference/v2/network/list-connections"},{"title":"List Invitations","api":"POST /v2/network","href":"/api-reference/v2/network/list-invitations"},{"title":"List Sent Invitations","api":"POST /v2/network","href":"/api-reference/v2/network/list-sent"},{"title":"List Followers","api":"POST /v2/network","href":"/api-reference/v2/network/list-followers"},{"title":"Withdraw Invitation","api":"POST /v2/network","href":"/api-reference/v2/network/withdraw"},{"title":"Check Invitation Status","api":"POST /v2/network","href":"/api-reference/v2/network/check-invitation"},{"title":"Get Network Recommendations","api":"POST /v2/network","href":"/api-reference/v2/network/recommendations"},{"title":"Follow / Unfollow","api":"POST /v2/network","href":"/api-reference/v2/network/follow"},{"title":"Events","api":"POST /v2/network","href":"/api-reference/v2/network/events"},{"title":"Get Group Members","api":"POST /v2/network","href":"/api-reference/v2/network/group-members"}]},{"group":"Content","pages":[{"title":"Create Post","api":"POST /v2/content","href":"/api-reference/v2/content/create"},{"title":"Create Company Post","api":"POST /v2/content","href":"/api-reference/v2/content/create-company"},{"title":"Get Post","api":"POST /v2/content","href":"/api-reference/v2/content/get"},{"title":"Search Posts","api":"POST /v2/content","href":"/api-reference/v2/content/search"},{"title":"Get Feed","api":"POST /v2/content","href":"/api-reference/v2/content/get-feed"},{"title":"React to Post","api":"POST /v2/content","href":"/api-reference/v2/content/react"},{"title":"Comment on Post","api":"POST /v2/content","href":"/api-reference/v2/content/comment"},{"title":"Reply to Comment","api":"POST /v2/content","href":"/api-reference/v2/content/answer-comment"},{"title":"Repost","api":"POST /v2/content","href":"/api-reference/v2/content/repost"},{"title":"Get Post Comments","api":"POST /v2/content","href":"/api-reference/v2/content/get-comments"},{"title":"Get Post Reactions","api":"POST /v2/content","href":"/api-reference/v2/content/get-reactions"}]},{"group":"Recruiting","pages":[{"title":"Search Jobs","api":"POST /v2/jobs","href":"/api-reference/v2/jobs/search"},{"title":"Get Job Posts","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/get-posts"},{"title":"Get Job Candidates","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/get-candidates"},{"title":"Get Candidate CV","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/get-cv"},{"title":"Create Job Posting","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/create-job"},{"title":"Close Job Posting","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/close-job"},{"title":"Publish Job Posting","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/publish-job"},{"title":"Projects","sidebarTitle":"Projects","api":"POST /v2/recruiter","href":"/api-reference/v2/recruiter/projects"}]},{"group":"Credits","pages":[{"title":"Get Credit Balance","api":"GET /v2/credits","href":"/api-reference/v2/credits/get-balance"}]},{"group":"Logs","pages":[{"title":"List API Logs","api":"GET /v2/logs","description":"Browse your API call history, one entry per request","href":"/api-reference/v2/logs/list-logs"}]},{"group":"Email Enrichment","pages":[{"title":"Find Email","api":"POST /v2/enrich","href":"/api-reference/v2/enrich/find-email"},{"title":"Validate Email","api":"POST /v2/enrich","description":"Verify whether an email address is valid and deliverable.","href":"/api-reference/v2/enrich/validate-email"},{"title":"Reverse Email Lookup","api":"POST /v2/enrich","href":"/api-reference/v2/enrich/reverse-email"}]},{"group":"Webhooks (Real-Time)","pages":[{"title":"Webhooks Introduction","href":"/api-reference/v2/webhooks/introduction"},{"title":"Create Webhook","api":"POST /v2/webhooks","href":"/api-reference/v2/webhooks/create"},{"title":"List Webhooks","api":"GET /v2/webhooks","href":"/api-reference/v2/webhooks/list"},{"title":"Update Webhook","api":"PUT /v2/webhooks/{webhook_id}","href":"/api-reference/v2/webhooks/update"},{"title":"Delete Webhook","api":"DELETE /v2/webhooks/{webhook_id}","href":"/api-reference/v2/webhooks/delete"},{"title":"Start Monitoring","api":"POST /v2/webhooks/{webhook_id}/start","href":"/api-reference/v2/webhooks/start"},{"title":"Stop Monitoring","api":"POST /v2/webhooks/{webhook_id}/stop","href":"/api-reference/v2/webhooks/stop"},{"title":"Signature Verification","href":"/api-reference/v2/webhooks/signature"},{"title":"Poll Events","api":"GET /v2/webhooks/{webhook_id}/events","href":"/api-reference/v2/webhooks/events"}]}]},{"tab":"Tutorials","icon":"graduation-cap","pages":[{"title":"Tutorials","href":"/tutorials/linkedin-campaign"}]}]},{"version":"v1.5","pages":[{"title":"v1.5","href":"/api-reference/introduction"}]},{"version":"v1.0","pages":[{"title":"v1.0","href":"/api-reference/introduction"}]}]},"basePath":"","title":"Find Email - LinkUp API","buildId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","deploymentId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-BFmjTMeT.js","utils-BWr-sjpP.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-LafIDf0N.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-MJNzuxek.js","snippetPresets-DPZEtUvW.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DQ2UhGIs.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DUUJTUkE.js","shallow-BTf5bw35.js","getApiPlaygroundDisplay-h2POYYOO.js","CodeSnippet-C4qEftRe.js","CodeSnippets-CsSrOqMC.js","Page-CWFqNdGh.js","getPastedJson-DU6W6y78.js","icon-2ZYNQ78y.js","MethodPill-BMXJzYMm.js","DuplicateIcon-DNjdEpYZ.js","createIcon-WdPVhKxl.js","DynamicMarkdown-Z_y464fM.js","SectionHeading-Bcrd8azU.js","axios-vUo_bRtp.js"]}